Getting Started with Brightcove Video Connect for Adobe Experience Manager

Product(s)
Video Cloud
Role(s)
Studio User
Topic(s)
CMS Integrations

This topic provides an overview of Brightcove Video Connect for the Adobe Experience Manager.

Plug-in Version Documentation Download Compatibility Notes
5.5.0 Plug-in with Source
  • Supports AEM 6.2 and AEM 6.3 
  • Uses Brightcove CMS & Dynamic Ingest API's 
  • Embeds Brightcove HTML5 Player
  • Supports Classic UI and Touch UI 
  • Uses AEM asset manager
4.2.0 (EOL) Click Here  Plug-In with Source
  • End of Life of December 31, 2017 due to Media API EOL
  • Supports AEM 6.2 
  • Uses Brightcove Media API for video management
  • Uses Brightcove CMS API for player embed
  • Embeds Brightcove Legacy Flash SmartPlayer
  • Embeds Brightcove HTML5 Player 
  • Supports Classic UI
4.1.2 (EOL) Click Here Plug-In with Source
  • End of Life of December 31, 2017 due to Media API EOL
  • Supports AEM 6.1 
  • Uses Brightcove Media API for video management
  • Uses Brightcove CMS API for player embed
  • Embeds Brightcove Legacy Flash SmartPlayer
  • Embeds Brightcove HTML5 Player 
  • Supports Classic UI

For help with this connector, please fill out this worksheet and include it with a support ticket to Brightcove customer support.

 

AEM Mandatory Upgrade Explanation

The Brightcove Connector for AEM, v4.2 and previous versions, will cease to function at the end of 2017 because we are retiring the underlying API’s and Flash Player used by the Connector.  We have updated the Brightcove Connector in a new v5.0 release to use our current APIs and HTML5 player.  The updated Brightcove Connector will support AEM versions 6.2 and 6.3 in both Classic UI and Touch UI modes and now synchronizes video assets between Brightcove and the AEM Digital Asset Manager (DAM).  

For most customers, we advise that, as soon as possible, you begin your transition to the new Connector and migrate your Smart Players, if you are not planning to manually replace them with Brightcove Players on your AEM web pages. 

Actions Required

If you are currently using an AEM/CQ release prior to AEM 6.0 and are also using the Brightcove Connector, you will need to upgrade to a newer version of AEM and the Connector per the discussion below.

If you are currently using AEM 6.0/6.1 with the v4.1 Connector or if you are currently using AEM 6.2 with the v4.2 Connector you may to continue using your existing Connector version under the following three conditions:

1. You do not require Touch UI support
2. You only use the Connector to embed video and you are managing your video content directly in Brightcove Studio and are not using the Video Manager (/brightcove/admin) in the Brightcove Connector.
3. You are not moving to AEM 6.3

You will need to upgrade to AEM 6.2 or AEM 6.3 and you will need to use the new v5.0 Connector under any of the following three conditions:

1. You require Touch UI support
2. You use the Connector to upload videos and/or edit metadata 
3. You need to keep a copy of your master video in the AEM DAM

Timeframe

If you are required to upgrade your AEM version and your Brightcove Connector, it must be completed by December 31, 2017.


Comments or suggestions?